Subject: mips.h obsolete macros

From: "Richard M. Stallman" <[email-masked]>
Date: Sat, 25 Oct 2008 13:18:04 -0400

m/mips.h has macro definitions for XUINT and XSET that seem to be
obsolete.  They are designed for tags in the high bits, not the low
bits.

They don't actually cause a problem with USE_LSB_TAG because lisp.h
overrides them; they would be used if you undefine USE_LSB_TAG.
So it is not exactly a bug, but it is confusing for a m/*.h file
to define something unconditionally which should only be used
if USE_LSB_TAG is not defined.